Subject: bug#5722: 23.1; C-a unexpected behavior in minibuffer

From: Chong Yidong <[email-masked]>
Date: Fri, 19 Mar 2010 11:30:08 -0400

> When finding a file (C-x C-f), I typically use C-a C-k to move to the
> beginning of the suggested search directory and kill it, so that I may
> quickly and easily type in the correct information. However, sometimes
> (usually not the first time I find a file in any given Emacs session),
> C-a moves to the very beginning of the minibuffer (before the prompt),

Could you provide a recipe to reproduce this bug, beginning with
`emacs -Q'?